Package org.eclipse.birt.report.model.api

# Class DataGroupHandle

java.lang.Object
org.eclipse.birt.report.model.api.DesignElementHandle
org.eclipse.birt.report.model.api.ContentElementHandle
org.eclipse.birt.report.model.api.DataGroupHandle

All Implemented Interfaces:
  `org.eclipse.birt.report.model.elements.interfaces.IDataGroupModel`, `org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel`

public class DataGroupHandle extends ContentElementHandle implements org.eclipse.birt.report.model.elements.interfaces.IDataGroupModel

## Field Summary

### Fields inherited from class org.eclipse.birt.report.model.api.ContentElementHandle

`element`

### Fields inherited from class org.eclipse.birt.report.model.api.DesignElementHandle

`module`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDataGroupModel

`FILTER_PROP, GROUP_NAME_PROP, INTERVAL_BASE_PROP, INTERVAL_PROP, INTERVAL_RANGE_PROP, KEY_EXPR_PROP, SORT_DIRECTION_PROP, SORT_PROP, SORT_TYPE_PROP`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel

`COMMENTS_PROP, CUSTOM_XML_PROP, DISPLAY_NAME_ID_PROP, DISPLAY_NAME_PROP, EVENT_HANDLER_CLASS_PROP, EXTENDS_PROP, FULL_LABEL, ID_SUFFIX, NAME_PROP, NEW_HANDLER_ON_EACH_EVENT_PROP, NO_SLOT, PROPERTY_MASKS_PROP, REF_TEMPLATE_PARAMETER_PROP, SHORT_LABEL, USER_LABEL, USER_PROPERTIES_PROP, VIEW_ACTION_PROP`

## Constructor Summary

Constructors
Constructor
Description
`DataGroupHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)`
Constructs a data group handle with the given design and the element.

## Method Summary

Modifier and Type
Method
Description
`Iterator`
`filtersIterator()`
Returns an iterator for the filter list defined on the data group.
`String`
`getGroupName()`
Gets the name of the group.
`String`
`getInterval()`
Returns the interval of this data group.
`String`
`getIntervalBase()`
Return the interval base property value of this data group.
`double`
`getIntervalRange()`
Returns the interval range of this data group.
`String`
`getKeyExpr()`
Gets the expression that defines the group.
`String`
`getSortDirection()`
Returns the sort direction of this data group.
`String`
`getSortType()`
Return the sort type.
`void`
`setGroupName(String theName)`
Sets the group name.
`void`
`setInterval(String interval)`
Returns the interval of this data group.
`void`
`setIntervalBase(String intervalBase)`
Sets the base of the interval property of this data group.IntervalBase, in conjunction with Interval and IntervalRange, determines how data is divided into data groups.
`void`
`setIntervalRange(double intervalRange)`
Returns the interval range of this data group.
`void`
`setIntervalRange(String intervalRange)`
Sets the interval range of data group.
`void`
`setKeyExpr(String expr)`
Sets the data group expression.
`void`
`setSortDirection(String direction)`
Sets the sort direction of this data group.
`void`
`setSortType(String sortType)`
Sets the sort type, which indicates the way of sorting.
`Iterator`
`sortsIterator()`
Returns the iterator for Sort list defined on the data group.

### Methods inherited from class org.eclipse.birt.report.model.api.ContentElementHandle

`addListener, canTransformToTemplate, clientsIterator, createTemplateElement, derivedIterator, getElement, getEventHandlerClass, getExtends, getName, getPrivateStyle, getQualifiedName, isTemplateParameterValue, localize, removeListener, revertToReportItem, revertToTemplate, setEventHandlerClass, setExtends, setExtendsName, setName, setStyle, setStyleName`

### Methods inherited from class org.eclipse.birt.report.model.api.DesignElementHandle

`add, add, addElement, addElement, addUserPropertyDefn, cachePropertyHandles, canContain, canContain, canContain, canContain, canDrop, canEdit, clearAllProperties, clearContents, clearProperty, copy, copyPropertyTo, doSort, drop, drop, drop, dropAndClear, dropAndClear, dropAndClear, dropUserPropertyDefn, findContentSlot, getBooleanProperty, getChoices, getColorProperty, getContainer, getContainerPropertyHandle, getContainerSlotHandle, getContent, getContentCount, getContents, getDefn, getDesign, getDesignHandle, getDimensionProperty, getDisplayLabel, getDisplayLabel, getDisplayProperty, getEffectiveModule, getElementFactory, getElementProperty, getExpressionProperty, getExternalizedValue, getExternalizedValue, getExternalizedValue, getFactoryElementHandle, getFactoryPropertyHandle, getFloatProperty, getFontProperty, getFullName, getHostViewHandle, getID, getIndex, getIntProperty, getListProperty, getListProperty, getMethods, getModule, getModuleHandle, getNumberProperty, getProperty, getPropertyBinding, getPropertyBindingExpression, getPropertyBindings, getPropertyDefn, getPropertyHandle, getPropertyIterator, getRoot, getSemanticErrors, getSlot, getStringProperty, getStyle, getTagType, getUserProperties, getUserPropertyDefnHandle, getXPath, hasLocalProperties, hasSemanticError, initializeSlotHandles, isDirectionRTL, isInTemplateParameter, isValid, move, move, moveTo, moveTo, moveTo, moveTo, newHandlerOnEachEvent, paste, paste, paste, paste, semanticCheck, setBooleanProperty, setEncryption, setExpressionProperty, setExtendsElement, setFloatProperty, setIntProperty, setNewHandlerOnEachEvent, setNumberProperty, setProperties, setProperty, setPropertyBinding, setPropertyBinding, setStringProperty, setStyleElement, setValid, shift, showError, slotsIterator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DataGroupHandle

public DataGroupHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)
Constructs a data group handle with the given design and the element. The application generally does not create handles directly. Instead, it uses one of the navigation methods available on other element handles.

Parameters:
  `module` - the module
  `element` - the model representation of the element

## Method Details

### getGroupName

public String getGroupName()
Gets the name of the group.

Returns:
  the name of the group

### setGroupName

public void setGroupName(String theName) throws SemanticException
Sets the group name.

Parameters:
  `theName` - the group name to set
Throws:
  `SemanticException`

### getKeyExpr

public String getKeyExpr()
Gets the expression that defines the group. This is normally simply a reference to a data set column.

Returns:
  the expression as a string
See Also:
  - `setKeyExpr(String)`

### setKeyExpr

public void setKeyExpr(String expr) throws SemanticException
Sets the data group expression.

Parameters:
  `expr` - the expression to set
Throws:
  `SemanticException` - If the expression is invalid.
See Also:
  - `getKeyExpr()`

### sortsIterator

public Iterator sortsIterator()
Returns the iterator for Sort list defined on the data group. The element in the iterator is the corresponding `StructureHandle`.

Returns:
  the iterator for `SortKey` structure list defined on the data group.

### filtersIterator

public Iterator filtersIterator()
Returns an iterator for the filter list defined on the data group. Each object returned is of type `StructureHandle`.

Returns:
  the iterator for `FilterCond` structure list defined on the data group.

### setIntervalBase

public void setIntervalBase(String intervalBase) throws SemanticException
Sets the base of the interval property of this data group.IntervalBase, in conjunction with Interval and IntervalRange, determines how data is divided into data groups.

Parameters:
  `intervalBase` - interval base property value.
Throws:
  `SemanticException` - if the property is locked.

### getIntervalBase

public String getIntervalBase()
Return the interval base property value of this data group.

Returns:
  interval baseF property value of this data group.

### getInterval

public String getInterval()
Returns the interval of this data group. The return value is defined in `DesignChoiceConstants` and can be one of:

- `INTERVAL_NONE`
- `INTERVAL_PREFIX`
- `INTERVAL_YEAR`
- `INTERVAL_QUARTER`
- `INTERVAL_MONTH`
- `INTERVAL_WEEK`
- `INTERVAL_DAY`
- `INTERVAL_HOUR`
- `INTERVAL_MINUTE`
- `INTERVAL_SECOND`
- `INTERVAL_INTERVAL`

Returns:
  the interval value as a string

### setInterval

public void setInterval(String interval) throws SemanticException
Returns the interval of this data group. The input value is defined in `DesignChoiceConstants` and can be one of:

- `INTERVAL_NONE`
- `INTERVAL_PREFIX`
- `INTERVAL_YEAR`
- `INTERVAL_QUARTER`
- `INTERVAL_MONTH`
- `INTERVAL_WEEK`
- `INTERVAL_DAY`
- `INTERVAL_HOUR`
- `INTERVAL_MINUTE`
- `INTERVAL_SECOND`
- `INTERVAL_INTERVAL`

Parameters:
  `interval` - the interval value as a string
Throws:
  `SemanticException` - if the property is locked or the input value is not one of the above.

### getIntervalRange

public double getIntervalRange()
Returns the interval range of this data group.

Returns:
  the interval range value as a double

### setIntervalRange

public void setIntervalRange(double intervalRange) throws SemanticException
Returns the interval range of this data group.

Parameters:
  `intervalRange` - the interval range value as a double
Throws:
  `SemanticException` - if the property is locked.

### setIntervalRange

public void setIntervalRange(String intervalRange) throws SemanticException
Sets the interval range of data group.

Parameters:
  `intervalRange` - the interval range value as a string.value is locale dependent.
Throws:
  `SemanticException` - if the property is locked.

### getSortDirection

public String getSortDirection()
Returns the sort direction of this data group. The return value is defined in `DesignChoiceConstants` and can be one of:

- `SORT_DIRECTION_ASC`
- `SORT_DIRECTION_DESC`

Returns:
  the sort direction of this data group

### setSortDirection

public void setSortDirection(String direction) throws SemanticException
Sets the sort direction of this data group. The return value is defined in `DesignChoiceConstants` and can be one of:

- `SORT_DIRECTION_ASC`
- `SORT_DIRECTION_DESC`

Parameters:
  `direction` - the sort direction of this data group
Throws:
  `SemanticException` - if the property is locked or the input value is not one of the above.

### setSortType

public void setSortType(String sortType) throws SemanticException
Sets the sort type, which indicates the way of sorting.

Parameters:
  `sortType` - sort type.
Throws:
  `SemanticException` - if the property is locked.

### getSortType

public String getSortType()
Return the sort type.

Returns:
  the sort type.